dubbo:
  application:
    name: account-service
    qos-enable: true
    qos-port: 16105
    qos-accept-foreign-ip: false
  scan:
    base-packages: cn.reghao.tnb.content.app.vod.rpc,cn.reghao.tnb.content.app.mall.rpc
  protocol:
    name: dubbo
    port: 6105
server:
  port: 6005
  tomcat:
    max-http-form-post-size: 4MB
spring:
  application:
    name: content-service
  profiles:
    active: @profile.active@
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
  cloud:
    zookeeper:
      connect-string: 127.0.0.1:2181
      config:
        enabled: true
        root: config
        default-context: ${spring.application.name}
        profile-separator: ':'
        watcher:
          enabled: true
mybatis:
  configuration:
    map-underscore-to-camel-case: true
  mapper-locations: classpath*:mapper/**.xml
  type-aliases-package: cn.reghao.tnb.content.app.model.po
management:
  endpoints:
    web:
      base-path: /api/content/actuator
      exposure:
        include: "*"
    health:
      show-details: always
  metrics:
    tags:
      application: ${spring.application.name}